local global = require "eatglobal_v2_29"
local modutils = global.modutils

local modId = "skyjoe_br101_v2"
local modData = {
	userSelection = {
		files = {
			{
				key = "br101_db1_or",
				name = ("vehicle_skyjoe_br101_db1_or_name"),
				tooltip = "Die will ich ja/nein",
				default = true,
				values = {"Anzeigen", "Verstecken"},
				modelFiles = {"vehicle/train/br101/br101_db1_or.mdl", }
			},
			{
				key = "br101_db2_vr",
				name = ("vehicle_skyjoe_br101_db2_vr_name"),
				tooltip = "Die will ich ja/nein",
				default = true,
				values = {"Anzeigen", "Verstecken"},
				modelFiles = {"vehicle/train/br101/br101_db2_vr.mdl", }
			},
			{
				key = "br101_db3_tsc",
				name = ("vehicle_skyjoe_br101_db3_tsc_name"),
				tooltip = "Die will ich ja/nein",
				default = true,
				values = {"Anzeigen", "Verstecken"},
				modelFiles = {"vehicle/train/br101/br101_db3_tsc.mdl", }
			},	
			{
				key = "br101_db4_tsc",
				name = ("vehicle_skyjoe_br101_db4_wue_name"),
				tooltip = "Die will ich ja/nein",
				default = true,
				values = {"Anzeigen", "Verstecken"},
				modelFiles = {"vehicle/train/br101/br101_db4_wue.mdl", }
			},	
			{
				key = "br101_db5_rot",
				name = ("vehicle_skyjoe_br101_db5_rot_name"),
				tooltip = "Die will ich ja/nein",
				default = true,
				values = {"Anzeigen", "Verstecken"},
				modelFiles = {"vehicle/train/br101/br101_db5_rot.mdl", }
			},	
			{
				key = "br101_db6_eih",
				name = ("vehicle_skyjoe_br101_db6_eih_name"),
				tooltip = "Die will ich ja/nein",
				default = true,
				values = {"Anzeigen", "Verstecken"},
				modelFiles = {"vehicle/train/br101/br101_db6_eih.mdl", }
			},	
			{
				key = "br101_db7_rot",
				name = ("vehicle_skyjoe_br101_db7_koe_name"),
				tooltip = "Die will ich ja/nein",
				default = true,
				values = {"Anzeigen", "Verstecken"},
				modelFiles = {"vehicle/train/br101/br101_db7_koe.mdl", }
			},	
			{
				key = "br101_db8_nat",
				name = ("vehicle_skyjoe_br101_db8_nat_name"),
				tooltip = "Die will ich ja/nein",
				default = true,
				values = {"Anzeigen", "Verstecken"},
				modelFiles = {"vehicle/train/br101/br101_db8_nat.mdl", }
			},				
			{
				key = "br101_db9_rhg1",
				name = ("vehicle_skyjoe_br101_db9_rhg1_name"),
				tooltip = "Die will ich ja/nein",
				default = true,
				values = {"Anzeigen", "Verstecken"},
				modelFiles = {"vehicle/train/br101/br101_db9_rhg1.mdl", }
			},	
			{
				key = "br101_db10_agfa",
				name = ("vehicle_skyjoe_br101_db10_agfa_name"),
				tooltip = "Die will ich ja/nein",
				default = true,
				values = {"Anzeigen", "Verstecken"},
				modelFiles = {"vehicle/train/br101/br101_db10_agfa.mdl", }
			},				
			{
				key = "br101_db11_met",
				name = ("vehicle_skyjoe_br101_db11_met_name"),
				tooltip = "Die will ich ja/nein",
				default = true,
				values = {"Anzeigen", "Verstecken"},
				modelFiles = {"vehicle/train/br101/br101_db11_met.mdl", }
			},	
			{
				key = "br101_db12_din",
				name = ("vehicle_skyjoe_br101_db12_din_name"),
				tooltip = "Die will ich ja/nein",
				default = true,
				values = {"Anzeigen", "Verstecken"},
				modelFiles = {"vehicle/train/br101/br101_db12_din.mdl", }
			},	
			{
				key = "br101_db13_bkk",
				name = ("vehicle_skyjoe_br101_db13_bkk_name"),
				tooltip = "Die will ich ja/nein",
				default = true,
				values = {"Anzeigen", "Verstecken"},
				modelFiles = {"vehicle/train/br101/br101_db13_bkk.mdl", }
			},				
			{
				key = "br101_db14_ene",
				name = ("vehicle_skyjoe_br101_db14_ene_name"),
				tooltip = "Die will ich ja/nein",
				default = true,
				values = {"Anzeigen", "Verstecken"},
				modelFiles = {"vehicle/train/br101/br101_db14_ene.mdl", }
			},	
			{
				key = "br101_db15_gew",
				name = ("vehicle_skyjoe_br101_db15_gew_name"),
				tooltip = "Die will ich ja/nein",
				default = true,
				values = {"Anzeigen", "Verstecken"},
				modelFiles = {"vehicle/train/br101/br101_db15_gew.mdl", }
			},	
			{
				key = "br101_db16_rhg2",
				name = ("vehicle_skyjoe_br101_db16_rhg2_name"),
				tooltip = "Die will ich ja/nein",
				default = true,
				values = {"Anzeigen", "Verstecken"},
				modelFiles = {"vehicle/train/br101/br101_db16_rhg2.mdl", }
			},	
			{
				key = "br101_db17_pol",
				name = ("vehicle_skyjoe_br101_db17_pol_name"),
				tooltip = "Die will ich ja/nein",
				default = true,
				values = {"Anzeigen", "Verstecken"},
				modelFiles = {"vehicle/train/br101/br101_db17_pol.mdl", }
			},	
			{
				key = "br101_db18_gol",
				name = ("vehicle_skyjoe_br101_db18_gol_name"),
				tooltip = "Die will ich ja/nein",
				default = true,
				values = {"Anzeigen", "Verstecken"},
				modelFiles = {"vehicle/train/br101/br101_db18_gol.mdl", }
			},
			{
				key = "br101_db19_cma",
				name = ("vehicle_skyjoe_br101_db19_cma_name"),
				tooltip = "Die will ich ja/nein",
				default = true,
				values = {"Anzeigen", "Verstecken"},
				modelFiles = {"vehicle/train/br101/br101_db19_cma.mdl", }
			},	
			{
				key = "br101_db20_bkkb",
				name = ("vehicle_skyjoe_br101_db20_bkkb_name"),
				tooltip = "Die will ich ja/nein",
				default = true,
				values = {"Anzeigen", "Verstecken"},
				modelFiles = {"vehicle/train/br101/br101_db20_bkkb.mdl", }
			},	
			{				
				key = "br101_db21_thw",
				name = ("vehicle_skyjoe_br101_db21_thw_name"),
				tooltip = "Die will ich ja/nein",
				default = true,
				values = {"Anzeigen", "Verstecken"},
				modelFiles = {"vehicle/train/br101/br101_db21_thw.mdl", }
			},				
		},	
		disableStartYear = {
			key = "skyjoe_br101_startyear",
			name = "Kein Startjahr",
			tooltip = "Die will ich ja/nein",
			default = false,
			values = {"ab 1850", "Default"},
		},
		disableEndYear = {
			key = "skyjoe_br101_endyear",
			name = "Kein Endjahr",
			tooltip = "Die will ich ja/nein",
			default = false,
			values = {"Unendlich", "Default"},
		},
		
	},
}
local myModUtils = modutils.userSettings.create(modId, modData)

function data()
	return {
		info = {
			minorVersion = 2,
			severityAdd = "NONE",
			severityRemove = "WARNING",
			name = _("skyjoe_101_name"),
			description = _("skyjoe_101_desc"),
			authors = {
				{
				name = "Skyjoe",
				role = "CO_CREATOR",
				text = "Texture",
				tfnetId = 21205,
				},
				{
				name = "Jansch",
				role = "CREATOR",
				text = "Model",
				tfnetId = 22479,
				},	
			},
			tags = {"vehicle", "locomotive", "passenger", "electric", },
			visible = true,
			params = myModUtils.myParams.params,
		},
		
		runFn = function(settings, modParams)
			local params = modParams[getCurrentModId()]
			if params then
				myModUtils.execute(params)
			end
		end
 	}
end